| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TimesConstant1 Class Reference
Numerical Utilities » Functor Objects » Modified Functors

Implements the product of a function and a constant. More...

`#include <Func1.h>`

Inheritance diagram for TimesConstant1:
[legend]

## Detailed Description

Implements the product of a function and a constant.

The functor class with type `"times-constant"` returns \( f(x) = a f_1(x) \).

Parameters

  f1 | Functor \( f_1(x) \)
  a | Constant \( a \)

Definition at line 802 of file Func1.h.

## Public Member Functions
| TimesConstant1 (Func1 &f1, double a)
| TimesConstant1 (shared_ptr< Func1 > f1, double a)
| TimesConstant1 (const TimesConstant1 &b)
TimesConstant1 & | operator= (const TimesConstant1 &right)
int | ID () const override
string | type () const override
| Returns a string describing the type of the function.
double | isProportional (TimesConstant1 &other) override
double | isProportional (Func1 &other) override
double | eval (double t) const override
| Evaluate the function.
Func1 & | duplicate () const override
| Duplicate the current function.
Func1 & | derivative () const override
| Creates a derivative to the current function.
shared_ptr< Func1 > | derivative3 () const override
| Creates a derivative to the current function.
string | write (const string &arg) const override
| Write LaTeX string describing function.
int | order () const override
| Return the order of the function, if it makes sense.
Public Member Functions inherited from Func1
| Func1 (shared_ptr< Func1 > f1, shared_ptr< Func1 > f2)
| Func1 (shared_ptr< Func1 > f1, double A)
| Func1 (const Func1 &right)
Func1 & | operator= (const Func1 &right)
string | typeName () const
| Returns a string with the class name of the functor.
double | operator() (double t) const
| Calls method eval to evaluate the function.
bool | isIdentical (Func1 &other) const
| Routine to determine if two functions are the same.
double | c () const
| Accessor function for the stored constant.
void | setC (double c)
| Function to set the stored constant.
Func1 & | func1 () const
| accessor function for m_f1
shared_ptr< Func1 > | func1_shared () const
| Accessor function for m_f1_shared.
Func1 & | func2 () const
| accessor function for m_f2
shared_ptr< Func1 > | func2_shared () const
| Accessor function for m_f2_shared.
Func1 & | func1_dup () const
Func1 & | func2_dup () const
Func1 * | parent () const
void | setParent (Func1 *p)

## Additional Inherited Members
Protected Attributes inherited from Func1
double | m_c = 0.0
Func1 * | m_f1 = nullptr
Func1 * | m_f2 = nullptr
Func1 * | m_parent = nullptr
shared_ptr< Func1 > | m_f1_shared
shared_ptr< Func1 > | m_f2_shared

## Constructor & Destructor Documentation

## ◆ TimesConstant1() [1/3]

TimesConstant1 | ( | Func1 & | f1,
|  | double | a
| ) |  |
| inline

Definition at line 805 of file Func1.h.

## ◆ TimesConstant1() [2/3]

TimesConstant1 | ( | shared_ptr< Func1 > | f1,
|  | double | a
| ) |  |
| inline

Definition at line 811 of file Func1.h.

## ◆ ~TimesConstant1()

~TimesConstant1 | ( |  | ) |
| inline override

Definition at line 813 of file Func1.h.

## ◆ TimesConstant1() [3/3]

TimesConstant1 | ( | const TimesConstant1 & | b | ) |
| inline

Definition at line 819 of file Func1.h.

## Member Function Documentation

## ◆ operator=()

TimesConstant1 & operator= | ( | const TimesConstant1 & | right | ) |
| inline

Definition at line 824 of file Func1.h.

## ◆ ID()

int ID | ( |  | ) | const
| inline override virtual

Deprecated:
  To be removed after Cantera 3.0. Replaced by type.

Reimplemented from Func1.

Definition at line 834 of file Func1.h.

## ◆ type()

string type | ( |  | ) | const
| inline override virtual

Returns a string describing the type of the function.

Since
  New in Cantera 3.0.

Reimplemented from Func1.

Definition at line 837 of file Func1.h.

## ◆ isProportional() [1/2]

double isProportional | ( | TimesConstant1 & | other | ) |
| inline override virtual

Reimplemented from Func1.

Definition at line 841 of file Func1.h.

## ◆ isProportional() [2/2]

double isProportional | ( | Func1 & | other | ) |
| inline override virtual

Reimplemented from Func1.

Definition at line 849 of file Func1.h.

## ◆ eval()

double eval | ( | double | t | ) | const
| inline override virtual

Evaluate the function.

Reimplemented from Func1.

Definition at line 857 of file Func1.h.

## ◆ duplicate()

Func1 & duplicate | ( |  | ) | const
| override virtual

Duplicate the current function.

This duplicates the current function, returning a reference to the newly created function.

Deprecated:
  To be removed after Cantera 3.0. Only used by deprecated methods.

Reimplemented from Func1.

Definition at line 830 of file Func1.cpp.

## ◆ derivative()

Func1 & derivative | ( |  | ) | const
| override virtual

Creates a derivative to the current function.

This will create a new derivative function and return a reference to the function.

Deprecated:
  To be changed after Cantera 3.0; for new behavior, see derivative3.

Reimplemented from Func1.

Definition at line 838 of file Func1.cpp.

## ◆ derivative3()

shared_ptr< Func1 > derivative3 | ( |  | ) | const
| inline override virtual

Creates a derivative to the current function.

This will create a new derivative function

Returns
  shared pointer to new derivative function.

Since
  New in Cantera 3.0.

Reimplemented from Func1.

Definition at line 864 of file Func1.h.

## ◆ write()

string write | ( | const string & | arg | ) | const
| override virtual

Write LaTeX string describing function.

Reimplemented from Func1.

Definition at line 811 of file Func1.cpp.

## ◆ order()

int order | ( |  | ) | const
| inline override virtual

Return the order of the function, if it makes sense.

Reimplemented from Func1.

Definition at line 870 of file Func1.h.

The documentation for this class was generated from the following files:

- Func1.h
- Func1.cpp